<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionBaseCB Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d7f/class_action_base_c_b.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionBaseCB Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionBaseCB:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/d7f/class_action_base_c_b.png" usemap="#ActionBaseCB_map" alt=""/>
  <map id="ActionBaseCB_map" name="ActionBaseCB_map">
<area href="../../dc/d02/class_human_command_action_callback.html" alt="HumanCommandActionCallback" shape="rect" coords="675,0,935,24"/>
<area href="../../d0/dcc/class_action_continuous_base_c_b.html" alt="ActionContinuousBaseCB" shape="rect" coords="0,112,260,136"/>
<area href="../../d9/dd9/class_action_interact_base_c_b.html" alt="ActionInteractBaseCB" shape="rect" coords="540,112,800,136"/>
<area href="../../de/df4/class_action_single_use_base_c_b.html" alt="ActionSingleUseBaseCB" shape="rect" coords="810,112,1070,136"/>
<area href="../../d2/d86/class_action_unfold_map_c_b.html" alt="ActionUnfoldMapCB" shape="rect" coords="1080,112,1340,136"/>
<area href="../../d5/d98/class_action_activate_trap_c_b.html" alt="ActionActivateTrapCB" shape="rect" coords="270,168,530,192"/>
<area href="../../d7/d1d/class_action_arm_explosive_c_b.html" alt="ActionArmExplosiveCB" shape="rect" coords="270,224,530,248"/>
<area href="../../d1/d46/class_action_attach_explosives_trigger_c_b.html" alt="ActionAttachExplosivesTriggerCB" shape="rect" coords="270,280,530,304"/>
<area href="../../d4/dcb/class_action_bandage_self_c_b.html" alt="ActionBandageSelfCB" shape="rect" coords="270,336,530,360"/>
<area href="../../d3/da9/class_action_bandage_target_c_b.html" alt="ActionBandageTargetCB" shape="rect" coords="270,392,530,416"/>
<area href="../../d4/d3d/class_action_break_long_wooden_stick_c_b.html" alt="ActionBreakLongWoodenStickCB" shape="rect" coords="270,448,530,472"/>
<area href="../../d6/d8b/class_action_build_oven_c_b.html" alt="ActionBuildOvenCB" shape="rect" coords="270,504,530,528"/>
<area href="../../d0/d0c/class_action_build_part_c_b.html" alt="ActionBuildPartCB" shape="rect" coords="270,560,530,584"/>
<area href="../../dd/d2c/class_action_build_stone_circle_c_b.html" alt="ActionBuildStoneCircleCB" shape="rect" coords="270,616,530,640"/>
<area href="../../d2/dd4/class_action_burn_sew_self_c_b.html" alt="ActionBurnSewSelfCB" shape="rect" coords="270,672,530,696"/>
<area href="../../d2/d58/class_action_burn_sew_target_c_b.html" alt="ActionBurnSewTargetCB" shape="rect" coords="270,728,530,752"/>
<area href="../../dc/d8e/class_action_bury_ashes_c_b.html" alt="ActionBuryAshesCB" shape="rect" coords="270,784,530,808"/>
<area href="../../da/d72/class_action_bury_body_c_b.html" alt="ActionBuryBodyCB" shape="rect" coords="270,840,530,864"/>
<area href="../../df/dc8/class_action_c_p_r_c_b.html" alt="ActionCPRCB" shape="rect" coords="270,896,530,920"/>
<area href="../../d8/d4e/class_action_collect_blood_self_c_b.html" alt="ActionCollectBloodSelfCB" shape="rect" coords="270,952,530,976"/>
<area href="../../d9/d64/class_action_collect_blood_target_c_b.html" alt="ActionCollectBloodTargetCB" shape="rect" coords="270,1008,530,1032"/>
<area href="../../d3/dc4/class_action_collect_sample_self_c_b.html" alt="ActionCollectSampleSelfCB" shape="rect" coords="270,1064,530,1088"/>
<area href="../../d7/d24/class_action_collect_sample_target_c_b.html" alt="ActionCollectSampleTargetCB" shape="rect" coords="270,1120,530,1144"/>
<area href="../../d3/dfc/class_action_consume_c_b.html" alt="ActionConsumeCB" shape="rect" coords="270,1176,530,1200"/>
<area href="../../d1/d1e/class_action_cook_on_stick_c_b.html" alt="ActionCookOnStickCB" shape="rect" coords="270,1232,530,1256"/>
<area href="../../d9/d79/class_action_cover_head_self_c_b.html" alt="ActionCoverHeadSelfCB" shape="rect" coords="270,1288,530,1312"/>
<area href="../../de/d94/class_action_cover_head_target_c_b.html" alt="ActionCoverHeadTargetCB" shape="rect" coords="270,1344,530,1368"/>
<area href="../../db/dea/class_action_craft_bone_knife_c_b.html" alt="ActionCraftBoneKnifeCB" shape="rect" coords="270,1400,530,1424"/>
<area href="../../dd/d20/class_action_craft_bone_knife_env_c_b.html" alt="ActionCraftBoneKnifeEnvCB" shape="rect" coords="270,1456,530,1480"/>
<area href="../../d3/d99/class_action_craft_c_b.html" alt="ActionCraftCB" shape="rect" coords="270,1512,530,1536"/>
<area href="../../de/d78/class_action_craft_improvised_eye_patch_c_b.html" alt="ActionCraftImprovisedEyePatchCB" shape="rect" coords="270,1568,530,1592"/>
<area href="../../db/db6/class_action_craft_improvised_face_cover_c_b.html" alt="ActionCraftImprovisedFaceCoverCB" shape="rect" coords="270,1624,530,1648"/>
<area href="../../dd/d25/class_action_craft_improvised_feet_cover_c_b.html" alt="ActionCraftImprovisedFeetCoverCB" shape="rect" coords="270,1680,530,1704"/>
<area href="../../d1/db7/class_action_craft_improvised_hands_cover_c_b.html" alt="ActionCraftImprovisedHandsCoverCB" shape="rect" coords="270,1736,530,1760"/>
<area href="../../dc/deb/class_action_craft_improvised_head_cover_c_b.html" alt="ActionCraftImprovisedHeadCoverCB" shape="rect" coords="270,1792,530,1816"/>
<area href="../../da/d83/class_action_craft_improvised_legs_cover_c_b.html" alt="ActionCraftImprovisedLegsCoverCB" shape="rect" coords="270,1848,530,1872"/>
<area href="../../d5/db8/class_action_craft_improvised_torso_cover_c_b.html" alt="ActionCraftImprovisedTorsoCoverCB" shape="rect" coords="270,1904,530,1928"/>
<area href="../../d0/d65/class_action_craft_rope_belt_c_b.html" alt="ActionCraftRopeBeltCB" shape="rect" coords="270,1960,530,1984"/>
<area href="../../df/d7d/class_action_craft_stone_knife_env_c_b.html" alt="ActionCraftStoneKnifeEnvCB" shape="rect" coords="270,2016,530,2040"/>
<area href="../../d1/d62/class_action_create_greenhouse_garden_plot_c_b.html" alt="ActionCreateGreenhouseGardenPlotCB" shape="rect" coords="270,2072,530,2096"/>
<area href="../../d9/df6/class_action_de_craft_rope_belt_c_b.html" alt="ActionDeCraftRopeBeltCB" shape="rect" coords="270,2128,530,2152"/>
<area href="../../d9/db4/class_action_defibrilate_self_c_b.html" alt="ActionDefibrilateSelfCB" shape="rect" coords="270,2184,530,2208"/>
<area href="../../d7/d5a/class_action_defibrilate_target_c_b.html" alt="ActionDefibrilateTargetCB" shape="rect" coords="270,2240,530,2264"/>
<area href="../../dd/d0c/class_action_destroy_combination_lock_c_b.html" alt="ActionDestroyCombinationLockCB" shape="rect" coords="270,2296,530,2320"/>
<area href="../../d8/d13/class_action_destroy_part_c_b.html" alt="ActionDestroyPartCB" shape="rect" coords="270,2352,530,2376"/>
<area href="../../d5/d4d/class_action_dial_combination_lock_c_b.html" alt="ActionDialCombinationLockCB" shape="rect" coords="270,2408,530,2432"/>
<area href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html" alt="ActionDialCombinationLockOnTargetCB" shape="rect" coords="270,2464,530,2488"/>
<area href="../../d2/d15/class_action_dig_in_stash_c_b.html" alt="ActionDigInStashCB" shape="rect" coords="270,2520,530,2544"/>
<area href="../../da/d75/class_action_dig_out_stash_c_b.html" alt="ActionDigOutStashCB" shape="rect" coords="270,2576,530,2600"/>
<area href="../../d5/d90/class_action_dig_worms_c_b.html" alt="ActionDigWormsCB" shape="rect" coords="270,2632,530,2656"/>
<area href="../../d2/db1/class_action_disarm_explosive_c_b.html" alt="ActionDisarmExplosiveCB" shape="rect" coords="270,2688,530,2712"/>
<area href="../../d2/d98/class_action_disarm_mine_c_b.html" alt="ActionDisarmMineCB" shape="rect" coords="270,2744,530,2768"/>
<area href="../../d3/d18/class_action_disinfect_plant_c_b.html" alt="ActionDisinfectPlantCB" shape="rect" coords="270,2800,530,2824"/>
<area href="../../dd/d41/class_action_disinfect_self_c_b.html" alt="ActionDisinfectSelfCB" shape="rect" coords="270,2856,530,2880"/>
<area href="../../dc/d11/class_action_disinfect_target_c_b.html" alt="ActionDisinfectTargetCB" shape="rect" coords="270,2912,530,2936"/>
<area href="../../d8/d7b/class_action_dismantle_garden_plot_c_b.html" alt="ActionDismantleGardenPlotCB" shape="rect" coords="270,2968,530,2992"/>
<area href="../../df/d44/class_action_dismantle_oven_c_b.html" alt="ActionDismantleOvenCB" shape="rect" coords="270,3024,530,3048"/>
<area href="../../d9/d33/class_action_dismantle_part_c_b.html" alt="ActionDismantlePartCB" shape="rect" coords="270,3080,530,3104"/>
<area href="../../de/d2e/class_action_dismantle_stone_circle_c_b.html" alt="ActionDismantleStoneCircleCB" shape="rect" coords="270,3136,530,3160"/>
<area href="../../de/dd3/class_action_drain_liquid_c_b.html" alt="ActionDrainLiquidCB" shape="rect" coords="270,3192,530,3216"/>
<area href="../../d7/d8e/class_action_drink_c_b.html" alt="ActionDrinkCB" shape="rect" coords="270,3248,530,3272"/>
<area href="../../de/d9e/class_action_drink_pond_continuous_c_b.html" alt="ActionDrinkPondContinuousCB" shape="rect" coords="270,3304,530,3328"/>
<area href="../../da/db7/class_action_drink_well_continuous_c_b.html" alt="ActionDrinkWellContinuousCB" shape="rect" coords="270,3360,530,3384"/>
<area href="../../de/d41/class_action_eat_big_c_b.html" alt="ActionEatBigCB" shape="rect" coords="270,3416,530,3440"/>
<area href="../../d3/dad/class_action_eat_can_c_b.html" alt="ActionEatCanCB" shape="rect" coords="270,3472,530,3496"/>
<area href="../../dc/db5/class_action_eat_fruit_c_b.html" alt="ActionEatFruitCB" shape="rect" coords="270,3528,530,3552"/>
<area href="../../de/dc4/class_action_eat_meat_c_b.html" alt="ActionEatMeatCB" shape="rect" coords="270,3584,530,3608"/>
<area href="../../dc/d77/class_action_eat_small_can_c_b.html" alt="ActionEatSmallCanCB" shape="rect" coords="270,3640,530,3664"/>
<area href="../../d4/d0b/class_action_empty_bottle_base_c_b.html" alt="ActionEmptyBottleBaseCB" shape="rect" coords="270,3696,530,3720"/>
<area href="../../d1/d4e/class_action_extinguish_fireplace_by_extinguisher_c_b.html" alt="ActionExtinguishFireplaceByExtinguisherCB" shape="rect" coords="270,3752,530,3776"/>
<area href="../../d6/dd4/class_action_extinguish_fireplace_by_liquid_c_b.html" alt="ActionExtinguishFireplaceByLiquidCB" shape="rect" coords="270,3808,530,3832"/>
<area href="../../dd/dbd/class_action_feed_vitamin_bottle_c_b.html" alt="ActionFeedVitaminBottleCB" shape="rect" coords="270,3864,530,3888"/>
<area href="../../d0/d2d/class_action_fertilize_slot_c_b.html" alt="ActionFertilizeSlotCB" shape="rect" coords="270,3920,530,3944"/>
<area href="../../d7/da4/class_action_fill_bottle_base_c_b.html" alt="ActionFillBottleBaseCB" shape="rect" coords="270,3976,530,4000"/>
<area href="../../da/de5/class_action_fill_brakes_c_b.html" alt="ActionFillBrakesCB" shape="rect" coords="270,4032,530,4056"/>
<area href="../../d4/d51/class_action_fill_coolant_c_b.html" alt="ActionFillCoolantCB" shape="rect" coords="270,4088,530,4112"/>
<area href="../../d2/d1a/class_action_fill_fuel_c_b.html" alt="ActionFillFuelCB" shape="rect" coords="270,4144,530,4168"/>
<area href="../../de/d89/class_action_fill_generator_tank_c_b.html" alt="ActionFillGeneratorTankCB" shape="rect" coords="270,4200,530,4224"/>
<area href="../../d0/d5b/class_action_fill_object_c_b.html" alt="ActionFillObjectCB" shape="rect" coords="270,4256,530,4280"/>
<area href="../../d7/d9f/class_action_fill_oil_c_b.html" alt="ActionFillOilCB" shape="rect" coords="270,4312,530,4336"/>
<area href="../../db/dc8/class_action_fold_base_building_object_c_b.html" alt="ActionFoldBaseBuildingObjectCB" shape="rect" coords="270,4368,530,4392"/>
<area href="../../de/dd9/class_action_force_consume_c_b.html" alt="ActionForceConsumeCB" shape="rect" coords="270,4424,530,4448"/>
<area href="../../d3/dc5/class_action_force_drink_c_b.html" alt="ActionForceDrinkCB" shape="rect" coords="270,4480,530,4504"/>
<area href="../../d0/de1/class_action_force_feed_c_b.html" alt="ActionForceFeedCB" shape="rect" coords="270,4536,530,4560"/>
<area href="../../dc/d15/class_action_force_feed_meat_c_b.html" alt="ActionForceFeedMeatCB" shape="rect" coords="270,4592,530,4616"/>
<area href="../../d6/d4d/class_action_force_feed_small_c_b.html" alt="ActionForceFeedSmallCB" shape="rect" coords="270,4648,530,4672"/>
<area href="../../d3/d15/class_action_give_blood_target_c_b.html" alt="ActionGiveBloodTargetCB" shape="rect" coords="270,4704,530,4728"/>
<area href="../../d0/d29/class_action_give_saline_self_c_b.html" alt="ActionGiveSalineSelfCB" shape="rect" coords="270,4760,530,4784"/>
<area href="../../d0/d3e/class_action_give_saline_target_c_b.html" alt="ActionGiveSalineTargetCB" shape="rect" coords="270,4816,530,4840"/>
<area href="../../db/d19/class_action_ignite_fireplace_by_air_c_b.html" alt="ActionIgniteFireplaceByAirCB" shape="rect" coords="270,4872,530,4896"/>
<area href="../../da/d6f/class_action_light_item_on_fire_c_b.html" alt="ActionLightItemOnFireCB" shape="rect" coords="270,4928,530,4952"/>
<area href="../../d4/d32/class_action_load_magazine_c_b.html" alt="ActionLoadMagazineCB" shape="rect" coords="270,4984,530,5008"/>
<area href="../../d2/d0f/class_action_load_magazine_quick_c_b.html" alt="ActionLoadMagazineQuickCB" shape="rect" coords="270,5040,530,5064"/>
<area href="../../da/d3d/class_action_lock_doors_c_b.html" alt="ActionLockDoorsCB" shape="rect" coords="270,5096,530,5120"/>
<area href="../../dc/df5/class_action_manipulate_flag_c_b.html" alt="ActionManipulateFlagCB" shape="rect" coords="270,5152,530,5176"/>
<area href="../../d9/d3f/class_action_measure_temperature_self_c_b.html" alt="ActionMeasureTemperatureSelfCB" shape="rect" coords="270,5208,530,5232"/>
<area href="../../dd/d76/class_action_measure_temperature_target_c_b.html" alt="ActionMeasureTemperatureTargetCB" shape="rect" coords="270,5264,530,5288"/>
<area href="../../db/d62/class_action_mine_bush_c_b.html" alt="ActionMineBushCB" shape="rect" coords="270,5320,530,5344"/>
<area href="../../d3/d4d/class_action_mine_rock_c_b.html" alt="ActionMineRockCB" shape="rect" coords="270,5376,530,5400"/>
<area href="../../d0/dbc/class_action_mount_barbed_wire_c_b.html" alt="ActionMountBarbedWireCB" shape="rect" coords="270,5432,530,5456"/>
<area href="../../da/d36/class_action_pack_gift_c_b.html" alt="ActionPackGiftCB" shape="rect" coords="270,5488,530,5512"/>
<area href="../../dc/db6/class_action_pack_tent_c_b.html" alt="ActionPackTentCB" shape="rect" coords="270,5544,530,5568"/>
<area href="../../dc/d21/class_action_place_on_ground_c_b.html" alt="ActionPlaceOnGroundCB" shape="rect" coords="270,5600,530,5624"/>
<area href="../../dd/dba/class_action_pour_liquid_c_b.html" alt="ActionPourLiquidCB" shape="rect" coords="270,5656,530,5680"/>
<area href="../../d8/d3b/class_action_raise_and_view_c_b.html" alt="ActionRaiseAndViewCB" shape="rect" coords="270,5712,530,5736"/>
<area href="../../d3/dea/class_action_raise_megaphone_c_b.html" alt="ActionRaiseMegaphoneCB" shape="rect" coords="270,5768,530,5792"/>
<area href="../../d4/d9c/class_action_read_paper_c_b.html" alt="ActionReadPaperCB" shape="rect" coords="270,5824,530,5848"/>
<area href="../../dc/dab/class_action_repack_tent_c_b.html" alt="ActionRepackTentCB" shape="rect" coords="270,5880,530,5904"/>
<area href="../../d6/d0b/class_action_repair_car_chassis_c_b.html" alt="ActionRepairCarChassisCB" shape="rect" coords="270,5936,530,5960"/>
<area href="../../d7/d19/class_action_repair_car_engine_c_b.html" alt="ActionRepairCarEngineCB" shape="rect" coords="270,5992,530,6016"/>
<area href="../../d3/d2f/class_action_repair_car_part_c_b.html" alt="ActionRepairCarPartCB" shape="rect" coords="270,6048,530,6072"/>
<area href="../../db/d94/class_action_repair_item_with_blowtorch_c_b.html" alt="ActionRepairItemWithBlowtorchCB" shape="rect" coords="270,6104,530,6128"/>
<area href="../../d0/dc1/class_action_repair_part_c_b.html" alt="ActionRepairPartCB" shape="rect" coords="270,6160,530,6184"/>
<area href="../../df/d42/class_action_repair_tent_c_b.html" alt="ActionRepairTentCB" shape="rect" coords="270,6216,530,6240"/>
<area href="../../db/d94/class_action_repair_tent_part_c_b.html" alt="ActionRepairTentPartCB" shape="rect" coords="270,6272,530,6296"/>
<area href="../../d8/da9/class_action_restrain_self_c_b.html" alt="ActionRestrainSelfCB" shape="rect" coords="270,6328,530,6352"/>
<area href="../../d3/d30/class_action_restrain_target_c_b.html" alt="ActionRestrainTargetCB" shape="rect" coords="270,6384,530,6408"/>
<area href="../../d8/de5/class_action_saw_planks_c_b.html" alt="ActionSawPlanksCB" shape="rect" coords="270,6440,530,6464"/>
<area href="../../d3/df5/class_action_set_alarm_clock_c_b.html" alt="ActionSetAlarmClockCB" shape="rect" coords="270,6496,530,6520"/>
<area href="../../d8/d43/class_action_set_kitchen_timer_c_b.html" alt="ActionSetKitchenTimerCB" shape="rect" coords="270,6552,530,6576"/>
<area href="../../d1/d24/class_action_sew_self_c_b.html" alt="ActionSewSelfCB" shape="rect" coords="270,6608,530,6632"/>
<area href="../../d5/ddd/class_action_sew_target_c_b.html" alt="ActionSewTargetCB" shape="rect" coords="270,6664,530,6688"/>
<area href="../../d3/dee/class_action_shave_c_b.html" alt="ActionShaveCB" shape="rect" coords="270,6720,530,6744"/>
<area href="../../dc/d88/class_action_shave_target_c_b.html" alt="ActionShaveTargetCB" shape="rect" coords="270,6776,530,6800"/>
<area href="../../d4/d88/class_action_skinning_c_b.html" alt="ActionSkinningCB" shape="rect" coords="270,6832,530,6856"/>
<area href="../../d9/deb/class_action_sort_ammo_pile_c_b.html" alt="ActionSortAmmoPileCB" shape="rect" coords="270,6888,530,6912"/>
<area href="../../d1/d4e/class_action_splint_self_c_b.html" alt="ActionSplintSelfCB" shape="rect" coords="270,6944,530,6968"/>
<area href="../../d3/df9/class_action_splint_target_c_b.html" alt="ActionSplintTargetCB" shape="rect" coords="270,7000,530,7024"/>
<area href="../../d3/d71/class_action_start_car_c_b.html" alt="ActionStartCarCB" shape="rect" coords="270,7056,530,7080"/>
<area href="../../d9/d42/class_action_strip_carrier_vest_c_b.html" alt="ActionStripCarrierVestCB" shape="rect" coords="270,7112,530,7136"/>
<area href="../../d9/d21/class_action_test_blood_self_c_b.html" alt="ActionTestBloodSelfCB" shape="rect" coords="270,7168,530,7192"/>
<area href="../../db/dee/class_action_test_blood_target_c_b.html" alt="ActionTestBloodTargetCB" shape="rect" coords="270,7224,530,7248"/>
<area href="../../dd/db2/class_action_transfer_liquid_c_b.html" alt="ActionTransferLiquidCB" shape="rect" coords="270,7280,530,7304"/>
<area href="../../d6/dfe/class_action_tune_frequency_c_b.html" alt="ActionTuneFrequencyCB" shape="rect" coords="270,7336,530,7360"/>
<area href="../../da/d6f/class_action_tune_radio_station_c_b.html" alt="ActionTuneRadioStationCB" shape="rect" coords="270,7392,530,7416"/>
<area href="../../d3/de6/class_action_turn_valve_c_b.html" alt="ActionTurnValveCB" shape="rect" coords="270,7448,530,7472"/>
<area href="../../d9/d5f/class_action_uncover_head_self_c_b.html" alt="ActionUncoverHeadSelfCB" shape="rect" coords="270,7504,530,7528"/>
<area href="../../dc/d63/class_action_uncover_head_target_c_b.html" alt="ActionUncoverHeadTargetCB" shape="rect" coords="270,7560,530,7584"/>
<area href="../../d8/d1c/class_action_unlock_doors_c_b.html" alt="ActionUnlockDoorsCB" shape="rect" coords="270,7616,530,7640"/>
<area href="../../d6/d04/class_action_unmount_barbed_wire_c_b.html" alt="ActionUnmountBarbedWireCB" shape="rect" coords="270,7672,530,7696"/>
<area href="../../d7/de3/class_action_unpack_box_c_b.html" alt="ActionUnpackBoxCB" shape="rect" coords="270,7728,530,7752"/>
<area href="../../d4/dcd/class_action_unpack_gift_c_b.html" alt="ActionUnpackGiftCB" shape="rect" coords="270,7784,530,7808"/>
<area href="../../df/d6d/class_action_unrestrain_self_c_b.html" alt="ActionUnrestrainSelfCB" shape="rect" coords="270,7840,530,7864"/>
<area href="../../d3/d0b/class_action_unrestrain_target_c_b.html" alt="ActionUnrestrainTargetCB" shape="rect" coords="270,7896,530,7920"/>
<area href="../../dc/dd1/class_action_unrestrain_target_hands_c_b.html" alt="ActionUnrestrainTargetHandsCB" shape="rect" coords="270,7952,530,7976"/>
<area href="../../d0/dad/class_action_upgrade_torch_from_gas_pump_c_b.html" alt="ActionUpgradeTorchFromGasPumpCB" shape="rect" coords="270,8008,530,8032"/>
<area href="../../d5/df5/class_action_use_rangefinder_c_b.html" alt="ActionUseRangefinderCB" shape="rect" coords="270,8064,530,8088"/>
<area href="../../db/dba/class_action_wash_hands_water_c_b.html" alt="ActionWashHandsWaterCB" shape="rect" coords="270,8120,530,8144"/>
<area href="../../d0/d44/class_action_wash_hands_well_c_b.html" alt="ActionWashHandsWellCB" shape="rect" coords="270,8176,530,8200"/>
<area href="../../d0/dfa/class_action_water_garden_slot_c_b.html" alt="ActionWaterGardenSlotCB" shape="rect" coords="270,8232,530,8256"/>
<area href="../../dc/d8a/class_action_water_plant_c_b.html" alt="ActionWaterPlantCB" shape="rect" coords="270,8288,530,8312"/>
<area href="../../db/d28/class_action_world_craft_c_b.html" alt="ActionWorldCraftCB" shape="rect" coords="270,8344,530,8368"/>
<area href="../../d1/d66/class_action_wring_clothes_c_b.html" alt="ActionWringClothesCB" shape="rect" coords="270,8400,530,8424"/>
<area href="../../d1/d92/class_action_write_paper_c_b.html" alt="ActionWritePaperCB" shape="rect" coords="270,8456,530,8480"/>
<area href="../../d5/db1/class_action_interact_loop_base_c_b.html" alt="ActionInteractLoopBaseCB" shape="rect" coords="540,168,800,192"/>
<area href="../../dc/d17/class_action_consume_single_c_b.html" alt="ActionConsumeSingleCB" shape="rect" coords="1080,168,1340,192"/>
<area href="../../d8/df7/class_action_disinfect_plant_bit_c_b.html" alt="ActionDisinfectPlantBitCB" shape="rect" coords="1080,224,1340,248"/>
<area href="../../d4/d6b/class_action_drop_item_c_b.html" alt="ActionDropItemCB" shape="rect" coords="1080,280,1340,304"/>
<area href="../../df/db8/class_action_force_a_bite_c_b.html" alt="ActionForceABiteCB" shape="rect" coords="1080,336,1340,360"/>
<area href="../../d9/d4c/class_action_force_consume_single_c_b.html" alt="ActionForceConsumeSingleCB" shape="rect" coords="1080,392,1340,416"/>
<area href="../../dc/dd8/class_action_reset_kitchen_timer_clock_c_b.html" alt="ActionResetKitchenTimerClockCB" shape="rect" coords="1080,448,1340,472"/>
<area href="../../d0/d9a/class_action_take_a_bite_c_b.html" alt="ActionTakeABiteCB" shape="rect" coords="1080,504,1340,528"/>
<area href="../../de/db7/class_action_turn_off_alarm_clock_c_b.html" alt="ActionTurnOffAlarmClockCB" shape="rect" coords="1080,560,1340,584"/>
<area href="../../d2/d9c/class_action_turn_off_transmitter_c_b.html" alt="ActionTurnOffTransmitterCB" shape="rect" coords="1080,616,1340,640"/>
<area href="../../d5/ddc/class_action_turn_on_alarm_clock_c_b.html" alt="ActionTurnOnAlarmClockCB" shape="rect" coords="1080,672,1340,696"/>
<area href="../../d6/d81/class_action_turn_on_transmitter_c_b.html" alt="ActionTurnOnTransmitterCB" shape="rect" coords="1080,728,1340,752"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a90f9811e3b75a615b61697fabf7668b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a90f9811e3b75a615b61697fabf7668b9">ActionBaseCB</a> ()</td></tr>
<tr class="separator:a90f9811e3b75a615b61697fabf7668b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a151e32a30f123fb6516991bf7331b26a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a151e32a30f123fb6516991bf7331b26a">GetPossileStanceMask</a> ()</td></tr>
<tr class="separator:a151e32a30f123fb6516991bf7331b26a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0ac80004ee1d3fd4a4e163f480703f0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#ad0ac80004ee1d3fd4a4e163f480703f0">OnFinish</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pCanceled)</td></tr>
<tr class="separator:ad0ac80004ee1d3fd4a4e163f480703f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5d45da90c7b09cd521c54723181314"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a3c5d45da90c7b09cd521c54723181314">SetCommand</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> command_uid)</td></tr>
<tr class="separator:a3c5d45da90c7b09cd521c54723181314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a246c1a8f4abde3e56a1bcfad34ea2abe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a246c1a8f4abde3e56a1bcfad34ea2abe">CreateActionComponent</a> ()</td></tr>
<tr class="separator:a246c1a8f4abde3e56a1bcfad34ea2abe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d0aa081595a793f6f58696fadf203a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a7d0aa081595a793f6f58696fadf203a7">InitActionComponent</a> ()</td></tr>
<tr class="separator:a7d0aa081595a793f6f58696fadf203a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a214577cb4fe055f533732136fecf5be1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a214577cb4fe055f533732136fecf5be1">ProgressActionComponent</a> ()</td></tr>
<tr class="separator:a214577cb4fe055f533732136fecf5be1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a823ea9fd188bfc7830a719d0105aa6b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a823ea9fd188bfc7830a719d0105aa6b8">EndActionComponent</a> ()</td></tr>
<tr class="separator:a823ea9fd188bfc7830a719d0105aa6b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad386ab8c28b1571b8f0fab0eb60d9226"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#ad386ab8c28b1571b8f0fab0eb60d9226">Interrupt</a> ()</td></tr>
<tr class="separator:ad386ab8c28b1571b8f0fab0eb60d9226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affb08096d736d3aa9ea188f07a22df39"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#affb08096d736d3aa9ea188f07a22df39">SetActionData</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:affb08096d736d3aa9ea188f07a22df39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf4bb5865a20d5f68bc8bc122f2a9a7e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#abf4bb5865a20d5f68bc8bc122f2a9a7e">IsUserActionCallback</a> ()</td></tr>
<tr class="separator:abf4bb5865a20d5f68bc8bc122f2a9a7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e00aaa938e0cf04fec36ad2effe55b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a96e00aaa938e0cf04fec36ad2effe55b">GetActionComponentProgress</a> ()</td></tr>
<tr class="separator:a96e00aaa938e0cf04fec36ad2effe55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeab74ee92102ccb9b4075093f4dfc143"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#aeab74ee92102ccb9b4075093f4dfc143">GetActionState</a> ()</td></tr>
<tr class="separator:aeab74ee92102ccb9b4075093f4dfc143"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93c20b123cb3e7b4c503f6507befd987"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a93c20b123cb3e7b4c503f6507befd987">GetTarget</a> ()</td></tr>
<tr class="separator:a93c20b123cb3e7b4c503f6507befd987"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab8c5796aa8f98fa679639b14db60813f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a></td></tr>
<tr class="separator:ab8c5796aa8f98fa679639b14db60813f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39df5da2e3fad05de49cbcae5f86c712"><td class="memItemLeft" align="right" valign="top">protected SoundOnVehicle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a39df5da2e3fad05de49cbcae5f86c712">m_SoundObject</a></td></tr>
<tr class="separator:a39df5da2e3fad05de49cbcae5f86c712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15fe23592b18751c55200b70c917ea8c"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a15fe23592b18751c55200b70c917ea8c">m_Canceled</a></td></tr>
<tr class="separator:a15fe23592b18751c55200b70c917ea8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19ded0aa636fcf7e419cf94c7980ad18"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d7f/class_action_base_c_b.html#a19ded0aa636fcf7e419cf94c7980ad18">m_Interrupted</a></td></tr>
<tr class="separator:a19ded0aa636fcf7e419cf94c7980ad18"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a90f9811e3b75a615b61697fabf7668b9" name="a90f9811e3b75a615b61697fabf7668b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90f9811e3b75a615b61697fabf7668b9">&#9670;&#160;</a></span>ActionBaseCB()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBaseCB::ActionBaseCB </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00009">9</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a246c1a8f4abde3e56a1bcfad34ea2abe" name="a246c1a8f4abde3e56a1bcfad34ea2abe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a246c1a8f4abde3e56a1bcfad34ea2abe">&#9670;&#160;</a></span>CreateActionComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBaseCB::CreateActionComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00053">53</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a823ea9fd188bfc7830a719d0105aa6b8" name="a823ea9fd188bfc7830a719d0105aa6b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a823ea9fd188bfc7830a719d0105aa6b8">&#9670;&#160;</a></span>EndActionComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBaseCB::EndActionComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00070">70</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a96e00aaa938e0cf04fec36ad2effe55b" name="a96e00aaa938e0cf04fec36ad2effe55b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96e00aaa938e0cf04fec36ad2effe55b">&#9670;&#160;</a></span>GetActionComponentProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionBaseCB::GetActionComponentProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00101">101</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="aeab74ee92102ccb9b4075093f4dfc143" name="aeab74ee92102ccb9b4075093f4dfc143"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeab74ee92102ccb9b4075093f4dfc143">&#9670;&#160;</a></span>GetActionState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionBaseCB::GetActionState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00110">110</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a151e32a30f123fb6516991bf7331b26a" name="a151e32a30f123fb6516991bf7331b26a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a151e32a30f123fb6516991bf7331b26a">&#9670;&#160;</a></span>GetPossileStanceMask()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionBaseCB::GetPossileStanceMask </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00013">13</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a93c20b123cb3e7b4c503f6507befd987" name="a93c20b123cb3e7b4c503f6507befd987"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93c20b123cb3e7b4c503f6507befd987">&#9670;&#160;</a></span>GetTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> ActionBaseCB::GetTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00115">115</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a7d0aa081595a793f6f58696fadf203a7" name="a7d0aa081595a793f6f58696fadf203a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d0aa081595a793f6f58696fadf203a7">&#9670;&#160;</a></span>InitActionComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBaseCB::InitActionComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00058">58</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="ad386ab8c28b1571b8f0fab0eb60d9226" name="ad386ab8c28b1571b8f0fab0eb60d9226"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad386ab8c28b1571b8f0fab0eb60d9226">&#9670;&#160;</a></span>Interrupt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBaseCB::Interrupt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00075">75</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="abf4bb5865a20d5f68bc8bc122f2a9a7e" name="abf4bb5865a20d5f68bc8bc122f2a9a7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf4bb5865a20d5f68bc8bc122f2a9a7e">&#9670;&#160;</a></span>IsUserActionCallback()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBaseCB::IsUserActionCallback </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00096">96</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="ad0ac80004ee1d3fd4a4e163f480703f0" name="ad0ac80004ee1d3fd4a4e163f480703f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0ac80004ee1d3fd4a4e163f480703f0">&#9670;&#160;</a></span>OnFinish()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBaseCB::OnFinish </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pCanceled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00019">19</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a214577cb4fe055f533732136fecf5be1" name="a214577cb4fe055f533732136fecf5be1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a214577cb4fe055f533732136fecf5be1">&#9670;&#160;</a></span>ProgressActionComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBaseCB::ProgressActionComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00062">62</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="affb08096d736d3aa9ea188f07a22df39" name="affb08096d736d3aa9ea188f07a22df39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affb08096d736d3aa9ea188f07a22df39">&#9670;&#160;</a></span>SetActionData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBaseCB::SetActionData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00091">91</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a3c5d45da90c7b09cd521c54723181314" name="a3c5d45da90c7b09cd521c54723181314"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c5d45da90c7b09cd521c54723181314">&#9670;&#160;</a></span>SetCommand()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBaseCB::SetCommand </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>command_uid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00046">46</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab8c5796aa8f98fa679639b14db60813f" name="ab8c5796aa8f98fa679639b14db60813f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8c5796aa8f98fa679639b14db60813f">&#9670;&#160;</a></span>m_ActionData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> ActionBaseCB::m_ActionData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00003">3</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a15fe23592b18751c55200b70c917ea8c" name="a15fe23592b18751c55200b70c917ea8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15fe23592b18751c55200b70c917ea8c">&#9670;&#160;</a></span>m_Canceled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBaseCB::m_Canceled</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00005">5</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a19ded0aa636fcf7e419cf94c7980ad18" name="a19ded0aa636fcf7e419cf94c7980ad18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19ded0aa636fcf7e419cf94c7980ad18">&#9670;&#160;</a></span>m_Interrupted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBaseCB::m_Interrupted</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00006">6</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<a id="a39df5da2e3fad05de49cbcae5f86c712" name="a39df5da2e3fad05de49cbcae5f86c712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39df5da2e3fad05de49cbcae5f86c712">&#9670;&#160;</a></span>m_SoundObject</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected SoundOnVehicle ActionBaseCB::m_SoundObject</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dad/_animated_action_base_8c_source.html#l00004">4</a> of file <a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/<a class="el" href="../../df/dad/_animated_action_base_8c_source.html">AnimatedActionBase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d7f/class_action_base_c_b.html">ActionBaseCB</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
